import java.awt.*;
import java.awt.event.*;
import java.applet.*;
public class App extends Applet implements MouseListener
{	
	public void init()
	{
		setForeground(Color.red);
		addMouseListener(this);
	}
	public void mouseClicked(MouseEvent me)
	{
		Color c=getForeground();
		if(c==Color.red)
		{
			setForeground(Color.green);
			repaint();
		}
		else if(c==Color.green)	
		{
			setForeground(Color.blue);
			repaint();
		}
		else
		{
			setForeground(Color.red);
			repaint();
		}
	}
	public void mousePressed(MouseEvent me)
	{}
	public void mouseReleased(MouseEvent me)
	{}
	public void mouseEntered(MouseEvent me)
	{}
	public void mouseExited(MouseEvent me)
	{}
	public void paint(Graphics g)
	{
		g.drawString("Vinit",100,100);
	}
}
/*<applet code="App.class" height=400 width=400>
</applet>*/